<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Add Content</title>
    <link rel="stylesheet" type="text/css" href="/static/style.css">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

</head>
<body>

    <div class="card">

        <div class="card-content">

            <div style="float:left;width:50%;">
                <div class="card-title">
                   <h1 style="font-size: 20px;">Enter content</h1>
                </div>
                <form class="add">
                    <textarea id="text-01" name="text-input"></textarea>
                    <button class="button" id="sentenceValidator"><span><b>Validate Input</b></span></button>
                    <button class="button" id="addSubmit"><span><b>Add Data to Database</b></span></button>

                </form>

                <script type="text/javascript">

                    $("#sentenceValidator").click(function(event){
                        event.preventDefault();
                         var inputTextData = $.trim($("#text-01").val());
                            if(inputTextData.length >1){
                              $.post("/validateSentence", {
                                    sent: inputTextData
                                }).done(function(data) {
                                   $.trim($("#text-01").val(data));
                                });
                            }else{
                                const warning = addNotification(NOTIFICATION_TYPES.WARNING, 'Please enter valid sentence.');
                                setTimeout(() => {
                                    removeNotification(warning);
                                }, 5000);
                            }
                    });

                    $( "#addSubmit" ).click(function( event ) {
                          event.preventDefault();
                          var inputTextData = $.trim($("#text-01").val());
                            if(inputTextData.length >1){
                              $.post("/addData", {
                                    textData: inputTextData
                                }).done(function(data) {
                                    if(data == "success"){
                                        const info = addNotification(NOTIFICATION_TYPES.SUCCESS, 'Data successfully Added to the system.');
                                        setTimeout(() => {
                                            removeNotification(info);
                                        }, 5000);
                                        $("#text-01").val("")
                                    }else{
                                            const danger = addNotification(NOTIFICATION_TYPES.DANGER, 'Something went wrong. Please contact system administrator.');
                                            setTimeout(() => {
                                                removeNotification(danger);
                                            }, 5000);
                                        }

                                });
                            }else{
                                const warning = addNotification(NOTIFICATION_TYPES.WARNING, 'Please enter valid sentence.');
                                setTimeout(() => {
                                    removeNotification(warning);
                                }, 5000);
                            }
                        });
                </script>
            </div>
            <div style="float:right;width:47%;">
                <div class="card-title">
                    <h1 style="font-size: 20px;">Rules</h1>
                </div>
                <div class="card-content">

                    <ul>
                        <li><b>Rule 1: </b> Please enter valid <b> English words </b> without any spelling mistakes.</li>
                        <li><b>Rule 2: </b> Please enter meaningful sentence / sentences, check in grammarly before feeding the data into the system.</li>
                        <li><b>Rule 3: </b> Please complete the sentence with  <b>' . '</b></li>
                        <li><b>Rule 4: </b> Validate your input content by using <b> ' Validate input ' </b>button.</li>
                    </ul>

                </div>
                <button class="button" id="trainModel" style="width:70%;margin-left:2.5rem;"><span><b>Click here to Train the model</b></span></button>
            </div>

        </div>
    </div>

<div class="notification-container" id="notification-container">

</div>

<script type="text/javascript">
    const notificationContainer = document.getElementById('notification-container');

    const NOTIFICATION_TYPES = {
        INFO: 'info',
        SUCCESS: 'success',
        WARNING: 'warning',
        DANGER: 'danger'
    };

    function addNotification(type, text) {
        const newNotification = document.createElement('div');
        newNotification.classList.add('notification', `notification-${type}`);

        const innerNotification = `<strong>${type} : </strong> ${text}`;

        newNotification.innerHTML = innerNotification;

        notificationContainer.appendChild(newNotification);

        return newNotification;
    }

    function removeNotification(notification) {
        notification.classList.add('hide');
        setTimeout(() => {
            notificationContainer.removeChild(notification);
        }, 500);
    }

    $("#trainModel").click(function(){
        $.post('/fetchNewData',{})
        .done(function(data) {
            if(data == "success"){
                const SUCCESS = addNotification(NOTIFICATION_TYPES.SUCCESS, 'Successfully Loaded new data to the model.');
                setTimeout(() => {
                    removeNotification(SUCCESS);
                }, 5000);
                $("#text-01").val("")
            }else{
                    const danger = addNotification(NOTIFICATION_TYPES.DANGER, 'Something went wrong. Please contact system administrator.');
                    setTimeout(() => {
                        removeNotification(danger);
                    }, 5000);
                }

        });


    });

</script>
</body>
</html>